config/routes.rb
Rails.application.routes.draw do
  resources :comments
  resources :analyses
  resources :static_pages
  root 'static_pages#index'
  resources :consultations  do
    get "allindex", on: :collection
  end
  get 'micontroller/allindex'
  devise_for :patients do
  end
  get "/static_pages/index" => "static_pages#index"
  #PATIENT INFORMATION
  match '/patient', to: 'patients#show', via: 'get'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/patient.rb
class Patient < ApplicationRecord
  mount_uploader :profilePicture, ProfilePictureUploader
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  has_many :consultations
  has_many :analyses
  has_many :comments
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable
end

app/controllers/patients_controller.rb
class PatientsController < ApplicationController
    def show
        @patient = current_patient
    end
end

app/helpers/patients_helper.rb
module PatientsHelper
end

app/views/patients/shared/_links.html.erb
<!--
<%- if controller_name != 'sessions' %>
  <%= link_to "Iniciar sesión", new_session_path(resource_name),:style=> 'display:block;', :class => 'buttonLog' %><br />
<% end -%>
-->
<%- if devise_mapping.registerable? && controller_name != 'registrations' %>
  <%= link_to "¿Eres nuevo? Registrate", new_registration_path(resource_name),{:style=>'color:#07103A; display: block;text-align=center;', :class => "centerLog"} %><br />
<% end -%>

<!--
<%- if devise_mapping.recoverable? && controller_name != 'passwords' && controller_name != 'registrations' %>
  <%= link_to "Olvide mi contraseña", new_password_path(resource_name),{:style=>'color:#07103A; display: block;text-align=center;', :class => "centerLog"}  %><br />
<% end -%>
-->
<%- if devise_mapping.confirmable? && controller_name != 'confirmations' %>
  <%= link_to "Didn't receive confirmation instructions?", new_confirmation_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.lockable? && resource_class.unlock_strategy_enabled?(:email) && controller_name != 'unlocks' %>
  <%= link_to "Didn't receive unlock instructions?", new_unlock_path(resource_name) %><br />
<% end -%>

<%- if devise_mapping.omniauthable? %>
  <%- resource_class.omniauth_providers.each do |provider| %>
    <%= link_to "Sign in with #{OmniAuth::Utils.camelize(provider)}", omniauth_authorize_path(resource_name, provider) %><br />
  <% end -%>
<% end -%>